## org.apache.cassandra.db
Class RangeSliceCommand

    java.lang.Object
      org.apache.cassandra.db.RangeSliceCommand

    public class RangeSliceCommand

extends java.lang.Object

Field Summary
`java.lang.String` `column_family`
`java.lang.String` `keyspace`
`int` `max_keys`
`SlicePredicate` `predicate`
`AbstractBounds` `range`
`byte[]` `super_column`

Constructor Summary
`RangeSliceCommand(java.lang.String keyspace, ColumnParent column_parent, SlicePredicate predicate, AbstractBounds range, int max_keys)`
`RangeSliceCommand(java.lang.String keyspace, java.lang.String column_family, byte[] super_column, SlicePredicate predicate, AbstractBounds range, int max_keys)`

Method Summary
`Message` `getMessage()`
`static RangeSliceCommand` `read(Message message)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keyspace

    public final java.lang.String keyspace

### column_family

    public final java.lang.String column_family

### super_column

    public final byte[] super_column

### predicate

    public final SlicePredicate predicate

### range

    public final AbstractBounds range

### max_keys

    public final int max_keys

Constructor Detail

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             ColumnParent column_parent,
                             SlicePredicate predicate,
                             AbstractBounds range,
                             int max_keys)

### RangeSliceCommand

    public RangeSliceCommand(java.lang.String keyspace,
                             java.lang.String column_family,
                             byte[] super_column,
                             SlicePredicate predicate,
                             AbstractBounds range,
                             int max_keys)

Method Detail

### getMessage

    public Message getMessage()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### read

    public static RangeSliceCommand read(Message message)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation